Skip to main content
PATCH
/
v1
/
operator-profiles
/
{uuid}
Update Operator Profile
curl --request PATCH \
  --url https://api.dispersed.com/v1/operator-profiles/{uuid} \
  --header 'Content-Type: application/json' \
  --data '
{
  "wallet_address": "<string>"
}
'
{
  "is_active": true,
  "object": "operator_profile",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "uuid": "<string>",
  "account_uuid": "<string>",
  "wallet_address": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Path Parameters

uuid
string<uuid>
required

Body

application/json
wallet_address
string

Response

object | null

Operator profile updated successfully

is_active
boolean
required
object
enum<string>
required
Available options:
operator_profile
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
uuid
string | null
account_uuid
string | null
wallet_address
string | null
deleted_at
string<date-time> | null